{% extends '::base_admin.html.twig'%}
{%block body%}
<div class="row">
  <div class="col-md-12">
    <a href="{{path('admin_hote_add')}}" class="btn btn-default">Ajouter un hôte</a>
  </div>
</div><br/>
<div class="row">
  <div class="col-md-12">
    <table class="table table-bordered">
      <thead>
        <tr>
          <th>N°</th>
          <th>Nom</th>
          <th>Adresse</th>
          <th>Contact</th>
          <th>Annexes</th>
          <th>Action</th>
        </tr>
      </thead>
      <tbody>
        {%for h in hotes%}
        <tr>
          <td>{{loop.index}}</td>
          <td>{{h.nom}}</td>
          <td>
            {{h.ville.label}} {%if h.quartier%}({{h.quartier.label}}){%endif%}<br/>
            {{h.adresse}}<br/>
            {%if h.lat%}Lat: {{h.lat}}, Lon: {{h.lon}}{%endif%}
          </td>
          <td>
            {%if h.telephone%}Tél: {{h.telephone}}{%endif%}<br/>
            {%if h.email%}E-mail: {{h.email}}{%endif%}<br/>
            {%if h.facebook%}Facebook: {{h.facebook}}{%endif%}<br/>
            {%if h.twitter%}Twitter: {{h.twitter}}{%endif%}<br/>
            {%if h.instagram%}Instagram: {{h.instagram}}{%endif%}<br/>
          </td>
          <td style="text-align: center">
            <a href="{{path('admin_annexe_by_hote', {'id': h.id})}}" title="Voir les annexes">{{h.annexes|length}}</a>
          </td>
          <td>
            <a href="{{path('admin_hote_edit', {'id': h.id})}}" class="" title="Modifier"><i class="ti-pencil-alt" style="color: black"></i></a>
            <a href="{{path('admin_annexe_add', {'id': h.id})}}" class="" title="Ajouter un annexe"><i class="ti-bar-chart-alt" style="color: black"></i></a>
            <a href="{{path('admin_salle_add', {'id': h.id})}}" class="" title="Ajouter une salle"><i class="ti-home" style="color: black"></i></a>
            <a href="{{path('admin_hote_delete', {'id': h.id})}}" class="" title="Supprimer"><i class="ti-trash" style="color: black"></i></a>
          </td>
        </tr>
        {%endfor%}
      </tbody>
    </table>
  </div>
</div>
{%endblock%}
